#include <bits/stdc++.h>
using namespace std;
int main(){
    string e;
    cin >> e;
    reverse(e.begin(), e.end());
    while(e[0] == '0'){
        e.erase(0, 1);
    }
    for(int i = 0; i < e.size(); i++){
        if(e[i] == '2'){
            cout << '5';
        }
        else if(e[i] == '5'){
            cout << '2';
        }
        else{
            cout << e[i];
        }
    }
    return 0;
}